import type { INode } from './Interfaces';
import { ExecutionBaseError, type Severity } from './NodeErrors';
interface WorkflowActivationErrorOptions {
    cause?: Error;
    node?: INode;
    severity?: Severity;
    workflowId?: string;
}
export declare class WorkflowActivationError extends ExecutionBaseError {
    node: INode | undefined;
    workflowId: string | undefined;
    constructor(message: string, { cause, node, severity, workflowId }?: WorkflowActivationErrorOptions);
}
export declare class WorkflowDeactivationError extends WorkflowActivationError {
}
export declare class WebhookPathAlreadyTakenError extends WorkflowActivationError {
    constructor(nodeName: string, cause?: Error);
}
export {};
