"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookPathAlreadyTakenError = exports.WorkflowDeactivationError = exports.WorkflowActivationError = void 0;
const NodeErrors_1 = require("./NodeErrors");
class WorkflowActivationError extends NodeErrors_1.ExecutionBaseError {
    constructor(message, { cause, node, severity, workflowId } = {}) {
        let error = cause;
        if (cause instanceof NodeErrors_1.ExecutionBaseError) {
            error = new Error(cause.message);
            error.constructor = cause.constructor;
            error.name = cause.name;
            error.stack = cause.stack;
        }
        super(message, { cause: error });
        this.node = node;
        this.workflowId = workflowId;
        this.message = message;
        if (severity)
            this.severity = severity;
    }
}
exports.WorkflowActivationError = WorkflowActivationError;
class WorkflowDeactivationError extends WorkflowActivationError {
}
exports.WorkflowDeactivationError = WorkflowDeactivationError;
class WebhookPathAlreadyTakenError extends WorkflowActivationError {
    constructor(nodeName, cause) {
        super(`The URL path that the "${nodeName}" node uses is already taken. Please change it to something else.`, { severity: 'warning', cause });
    }
}
exports.WebhookPathAlreadyTakenError = WebhookPathAlreadyTakenError;
//# sourceMappingURL=WorkflowActivationError.js.map